> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liveavatar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Memories



## OpenAPI

````yaml /openapi.json get /v1/memory
openapi: 3.1.0
info:
  title: Live avatar API
  version: 0.1.0
servers:
  - url: https://api.liveavatar.com
security: []
paths:
  /v1/memory:
    get:
      tags:
        - Memory
      summary: List Memories
      operationId: list_memories_v1_memory_get
      parameters:
        - name: type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/MemoryTypeEnum'
              - type: 'null'
            title: Type
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Response_PaginatedResponse_MemoryListItemResponse__
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    MemoryTypeEnum:
      type: string
      enum:
        - session
      title: MemoryTypeEnum
    Response_PaginatedResponse_MemoryListItemResponse__:
      properties:
        code:
          type: integer
          title: Code
          default: 100
        data:
          anyOf:
            - $ref: '#/components/schemas/PaginatedResponse_MemoryListItemResponse_'
            - type: 'null'
        message:
          title: Message
          type: string
      type: object
      title: Response[PaginatedResponse[MemoryListItemResponse]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PaginatedResponse_MemoryListItemResponse_:
      properties:
        count:
          type: integer
          title: Count
        next:
          title: Next
          type: string
        previous:
          title: Previous
          type: string
        results:
          items:
            $ref: '#/components/schemas/MemoryListItemResponse'
          type: array
          title: Results
      type: object
      required:
        - count
        - results
      title: PaginatedResponse[MemoryListItemResponse]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    MemoryListItemResponse:
      properties:
        id:
          type: string
          title: Id
        memory_type:
          $ref: '#/components/schemas/MemoryTypeEnum'
        memory_content_preview:
          title: Memory Content Preview
          type: string
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - memory_type
        - memory_content_preview
        - created_at
        - updated_at
      title: MemoryListItemResponse
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````